# Do not modify this file!  It was generated by ‘nixos-generate-config’
# and may be overwritten by future invocations.  Please make changes
# to /etc/nixos/configuration.nix instead.
{ config, lib, pkgs, modulesPath, ... }:

{
  imports =
    [ (modulesPath + "/installer/scan/not-detected.nix")
    ];

  boot.initrd.availableKernelModules = [ "vmd" "xhci_pci" "ahci" "nvme" "usb_storage" "sd_mod" ];
  boot.initrd.kernelModules = [ ];
  boot.kernelModules = [ "kvm-intel" ];
  boot.extraModulePackages = [ ];

  # NEEDS MORE TESTING WITH NEWER KERNELS
  # sound card microphone only works on this, so far...
  # 6.14 and 6.12 it is broken
  boot.kernelPackages = pkgs.linuxPackages_6_1; 

  hardware.firmware = [ pkgs.sof-firmware ];

  # for Logitech Lift mouse
  hardware.logitech.wireless.enable = true;
  hardware.logitech.wireless.enableGraphical = true;

  fileSystems."/" =
    { device = "/dev/disk/by-uuid/27986c46-1dd1-4444-b732-7e7c36f2ed29";
      fsType = "ext4";
    };

  boot.initrd.luks.devices."luks-a803c4bc-5516-4caa-b837-60735dcef39b".device = "/dev/disk/by-uuid/a803c4bc-5516-4caa-b837-60735dcef39b";

  fileSystems."/boot" =
    { device = "/dev/disk/by-uuid/62BC-E36E";
      fsType = "vfat";
      options = [ "fmask=0077" "dmask=0077" ];
    };

  swapDevices =
    [ { device = "/dev/disk/by-uuid/ca864c9f-4435-489f-af33-2c0d5876d586"; }
    ];

  # Enables DHCP on each ethernet and wireless interface. In case of scripted networking
  # (the default) this is the recommended approach. When using systemd-networkd it's
  # still possible to use this option, but it's recommended to use it in conjunction
  # with explicit per-interface declarations with `networking.interfaces.<interface>.useDHCP`.
  networking.useDHCP = lib.mkDefault true;
  # networking.interfaces.wlo1.useDHCP = lib.mkDefault true;

  nixpkgs.hostPlatform = lib.mkDefault "x86_64-linux";
  hardware.cpu.intel.updateMicrocode = lib.mkDefault config.hardware.enableRedistributableFirmware;

  hardware.enableAllFirmware = true;

  hardware.bluetooth = {
    enable = true;
    powerOnBoot = true;
    settings = {
      Policy = {
        AutoEnable = "true";  # Automatically enables Bluetooth on startup.
      };
    };
  };

}
